Improper Authorization Affecting com.liferay:com.liferay.dynamic.data.mapping.form.web Open this link in a new tab package, versions [,3.0.23)


0.0
medium
  • Attack Complexity

    Low

  • User Interaction

    Required

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-COMLIFERAY-1536544

  • published

    4 Aug 2021

  • disclosed

    4 Aug 2021

  • credit

    Tibor Lipusz

How to fix?

Upgrade com.liferay:com.liferay.dynamic.data.mapping.form.web to version 3.0.23 or higher.

Overview

com.liferay:com.liferay.dynamic.data.mapping.form.web is a Liferay Dynamic Data Mapping Form Web.

Affected versions of this package are vulnerable to Improper Authorization. It autosaves form values for unauthenticated users, which allows remote attackers to view the autosaved values by viewing the form as an unauthenticated user.